[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Openldap 2.4.28 master/slave crash after upgrade?

--On Friday, February 03, 2012 9:25 AM +0100 Raffael Sahli <public@raffaelsahli.com> wrote:

On 01/27/2012 12:44 AM, Quanah Gibson-Mount wrote:
--On Friday, January 27, 2012 12:07 AM +0100 Raffael Sahli
<public@raffaelsahli.com> wrote:


I did an upgrade of two ldap server (master/slave) from 2.4.21 to 2.4.28
two days ago.
 And today, the master crashed, if I do an ldapsearch:

Has someone similar problems, or can somone helps me?
 The next thing I'll do is go back to 2.4.21, maybe that helps....

Can you try using the current code from RE24 instead and see if it
fixes your issue?  2.4.29 is about to release, so it would be good to
know if that fixes your issue.


OK, It was not the upgrade (probably not), the problem is an ldap

The slapd daemon is now working without problems, but I need this ldap
database ;).
If I add the database again, the daemon crashes again after a few seconds

The same setup works on a slave server (same ldap database, same ACL).

What could that be? The last slapd debug entries just show lines like:

You need to enable core files, and get a gdb backtrace with a slapd binary that has debugging symbols. Log-level output isn't going to help any.



Quanah Gibson-Mount
Sr. Member of Technical Staff
Zimbra, Inc
A Division of VMware, Inc.
Zimbra ::  the leader in open source messaging and collaboration